DEFINE FAMILY_FLEX6000() = ((DEVICE_FAMILY == "FLEX6000") ? 1 : 0);
DEFINE FAMILY_FLEX8000() = ((DEVICE_FAMILY == "FLEX8000") ? 1 : 0);
DEFINE FAMILY_FLEX10K() = ((DEVICE_FAMILY == "FLEX10K" # DEVICE_FAMILY == "FLEX10KA" # DEVICE_FAMILY == "FLEX10KB") ? 1 : 0);
DEFINE FAMILY_FLEX10KE() = (((DEVICE_FAMILY == "FLEX10KE") # (DEVICE_FAMILY == "ACEX1K")) ? 1 : 0);
DEFINE FAMILY_FLEX() = (FAMILY_FLEX6000() # FAMILY_FLEX8000() # FAMILY_FLEX10K() # FAMILY_FLEX10KE());
DEFINE FAMILY_HAS_EAB() = (FAMILY_FLEX10K() # FAMILY_FLEX10KE());
DEFINE FAMILY_HAS_DUALPORT_EAB() = (FAMILY_FLEX10KE());
DEFINE FAMILY_EAB_MAX_DEPTH() = (FAMILY_HAS_EAB()!=0 ? 2048 : 1);
DEFINE FAMILY_EAB_BITS() = (FAMILY_FLEX10K()!=0 ? 2048 : (FAMILY_FLEX10KE()!=0 ? 4096 : 1));
DEFINE FAMILY_HAS_PLL() = (FAMILY_FLEX10K() # FAMILY_FLEX10KE());
DEFINE FAMILY_HAS_PRESET() = (1);
DEFINE FAMILY_HAS_NATIVE_ALOAD() = (FAMILY_FLEX6000() == 0 ? 1 : 0);

DEFINE FAMILY_HAS_CLEARABLE_COUNTER_MODE() = (FAMILY_FLEX6000()==0);
DEFINE FAMILY_HAS_UPDOWN_COUNTER_MODE() = (FAMILY_FLEX6000()==0);
DEFINE FAMILY_HAS_ENABLE_LUT_INPUT() = FAMILY_FLEX10K();
DEFINE FAMILY_HAS_LABWIDE_SCLR() = FAMILY_FLEX6000();
DEFINE FAMILY_HAS_LABWIDE_SLOAD() = FAMILY_FLEX6000();

DEFINE FAMILY_CLASSIC() = ((DEVICE_FAMILY == "CLASSIC") ? 1 : 0);
DEFINE FAMILY_MAX() = (
	  DEVICE_FAMILY == "MAX5000"
	# DEVICE_FAMILY == "MAX7000" # DEVICE_FAMILY == "MAX7000A" # DEVICE_FAMILY == "MAX7000AE"
	# DEVICE_FAMILY == "MAX7000E" # DEVICE_FAMILY == "MAX7000S"
	# DEVICE_FAMILY == "MAX9000"
	# DEVICE_FAMILY == "MAX3000A" # DEVICE_FAMILY == "MAX7000B"
	) ? 1 : 0;
DEFINE FAMILY_IS_KNOWN() = FAMILY_FLEX() # FAMILY_MAX() # FAMILY_CLASSIC();
DEFINE MAXPIA_SIZE() = (DEVICE_FAMILY=="MAX9000") ? 33 : 36;
DEFINE USE_CARRY_CHAINS() = (CARRY_CHAIN != "IGNORE");
DEFINE USE_CASCADE_CHAINS() = (CASCADE_CHAIN != "IGNORE");

